/* ↓ Remove container declarations on Query Monitor debug panel that 
might be set from global style declaraions. */
#query-monitor-main :where(header, footer, main, section, article) {
    container-type: unset;
}

/* ↓ Remove padding when WooCommerce drawer is open. It causes entire
webpage content to shift when toggling such drawer. */
body.drawer-open {
    padding-right: 0 !important;
}

/**
** WORDPRESS SITE MAIN AREA 
*
* It contains <head>, <main> and <footer> landmark areas of a page.
* We want to make sure that site <footer> is pushed to the bottom
* independeing of page content length.
*/
.wp-site-blocks {
    display: grid;
    grid-template-rows: auto 1fr auto;
    min-height: 100%;
}

.wp-site-blocks>footer {
    margin-top: auto; 
}

body .is-layout-constrained> :where(:not(.alignleft):not(.alignright):not(.alignfull)) {
    max-width: none !important; 
}